---
title: Common
slug: countdownapi/ebay-product-data-api/parameters/common
docTags: 
createdAt: 2024-07-29T12:49:20.015Z
---

# Common Parameters

<font color="#52c41a">`GET`</font>  `/request`

The following parameters are used to configure your request to the Ebay Product Data API. They should be appended as querystring parameters to a  `GET` HTTP request to the  `/request`  endpoint.

For example, to request customer reviews for the EPID  `233599133856`  on  `ebay.com`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.countdownapi.com/request?api_key=demo&type=reviews&ebay_domain=ebay.com&epid=233599133856
```

```curl
curl -L --get https://api.countdownapi.com/request \
-d api_key="demo" \
-d type="reviews" \
-d ebay_domain="ebay.com" \
-d epid="233599133856"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "reviews",
  ebay_domain: "ebay.com",
  epid: "233599133856"
}

// make the http GET request to Countdown API
axios.get('https://api.countdownapi.com/request', { params })
  .then(response => {

    // print the JSON response from Countdown API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'reviews',
  'ebay_domain': 'ebay.com',
  'epid': '233599133856'
}

# make the http GET request to Countdown API
api_result = requests.get('https://api.countdownapi.com/request', params)

# print the JSON response from Countdown API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type': 'reviews',
  'ebay_domain': 'ebay.com',
  'epid': '233599133856'
]);

# make the http GET request to Countdown API
$ch = curl_init(sprintf('%s?%s', 'https://api.countdownapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from Countdown API
echo $api_result;

?>
```
:::

:::hint{type="info"}
**Request-Specific Parameters**
Additional parameters are available depending on the type of request being made (as-determined by the  `type`  parameter). For example, if you make a request with  `type=search`  then additional [Search Parameters](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/parameters/search), specific to  `search`  requests, are available.
:::

***

### Common Parameters

The following common parameters are required for all requests to the Ebay Product Data API.

| `Parameter`         | `Required` | `Description`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| ------------------- | ---------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `api_key`           | `required` | The API key for your Countdown API account.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `customer_location` | `optional` | Determines the country that Countdown API uses when retrieving pages from Ebay. This is useful, for example, for seeing details (such as shipping price) of how a product appears on ebay.com, to a customer located in a different country. Can be used to identify cross-border shipping data and opportunities.  <br />For more available values of `customer_location` please see the [Customer Locations Reference ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/reference/customer-locations). If no value for `customer_location` is supplied then Countdown API defaults to making the request from the country of the Ebay page requested - i.e. "France" for requests for pages from "ebay.fr".  <br />Certain `customer_location` 's can be used in combination with the `customer_zipcode` parameter to further refine the location of the request.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `customer_zipcode`  | `optional` | Determines the specific zip or postal code used when retrieving pages from Ebay. Note that not all values of `customer_location` support `customer_zipcode` (because Ebay don't allow zipcode granularity for all countries). For information on which `customer_location` values support `customer_zipcode` please see the [Customer Locations Reference ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/reference/customer-locations).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `type`              | `required` | The type of Ebay data to retrieve. The value of the `type` parameter determines which additional parameters are available. For example, if you make a request with `type=reviews` then additional [Reviews Parameters ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/parameters/reviews), specific to `reviews` requests, are available.  <br />Valid values for `type` are:<br />1) `search`
2) Request search results for a `search_term` or Ebay search results page `url` . See additional [Search Parameters ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/parameters/search).<br /><br />1) `product`
2) Request product data for an `epid` or Ebay product page `url` . See additional [Product Parameters ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/parameters/product).<br /><br />1) `reviews`
2) Request customer reviews for an `epid` or Ebay product page `url` . See additional [Reviews Parameters ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/parameters/reviews).<br /><br />1) `seller_profile`
2) Request seller profile information for a `seller_name` or Ebay seller profile page `url` . See additional [Seller Profile Parameters ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/parameters/seller-profile).<br /><br />1) `seller_feedback`
2) Request seller feedback information for a `seller_name` or Ebay seller feedback page `url` . See additional [Seller Feedback Parameters ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/parameters/seller-feedback). |
| `include_html`      | `optional` | Determines whether raw HTML is included in the response (this can increase the size of the response). Can be set to `true` or `false` (the default).  <br />**Note** When adding requests with `include_html=true` to a Collection the maximum number of requests is lower (100) because including the HTML within the response makes the Collection Result Sets much larger. The limit is in place to ensure Result Set files are of a manageable size. If you have need to run a large number of requests all with `include_html=true` then simply split the requests across multiple 100-request Collections.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `output`            | `optional` | Determines the format in which results are returned. Can be set to `json` (default) to get the results as structured JSON, `html` to get the raw html retrieved or `csv` to return the results in CSV format. When using `csv` you can also use the `csv_fields` parameter to specify which fields to return in the CSV.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `csv_fields`        | `optional` | Determines the fields that are returned when returning in `csv` mode (i.e. when the `output` parameter is set to `csv` ). Should be specified as a comma seperated list of fields (in nested field, dot notation, format). For more information on the `csv_fields` parameter please see the [CSV Fields Reference ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/reference/csv-fields).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `include_fields`    | `optional` | A comma-seperated list JSON field names to **include** in the JSON object the API returns. You can specify the field names in dot notation - i.e. `include_fields=pagination` will only include the the `pagination` property in the response JSON. Use `include_fields` if you only want to include specific fields in the API's JSON response.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `exclude_fields`    | `optional` | A comma-seperated list of JSON field names to **exclude** from the JSON object the API returns. You can specify the field names in dot notation - i.e. `exclude_fields=pagination` will remove the `pagination` property from the response JSON. Use `exclude_fields` if there are specific fields you wish to exclude from the API's JSON response.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |

***

**Next Steps**
     [Search Parameters](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/parameters/search)
     [Reviews Parameters](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/parameters/reviews)
     [Product Parameters](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/parameters/product)
     [Seller Profile Parameters](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/parameters/seller-profile)
     [Seller Feedback Parameters](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/parameters/seller-feedback)
